Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.payment
Class PaymentTransactionPk

    java.lang.Object
      com.beasys.commerce.foundation.SmartKey
          com.beasys.commerce.ebusiness.payment.PaymentTransactionPk

All Implemented Interfaces
  Serializable, Comparable

Deprecated

    @Deprecated
    public class PaymentTransactionPk

extends SmartKey
implements Serializable

This is the primary key class for the `PaymentTransaction` Entity EJB.

See Also
  Serialized Form

Field Summary
`String` | `transactionId` Deprecated

Constructor Summary
`PaymentTransactionPk()` Deprecated Default constructor.
`PaymentTransactionPk(String transactionId)` Deprecated Constructor that takes the transaction identifier.

Method Summary
`int` | `compareTo(Object o)` Deprecated Implements the compareTo method.
`int` | `hashCode()` Deprecated override the hashCode() method
`String` | `toString()` Deprecated Returns the stringified version of the key class.

Methods inherited from class com.beasys.commerce.foundation.SmartKey
`equals`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### transactionId

    public String transactionId

  Deprecated

Constructor Detail

### PaymentTransactionPk

    public PaymentTransactionPk()

  Deprecated
  Default constructor.

### PaymentTransactionPk

    public PaymentTransactionPk(String transactionId)

  Deprecated
  Constructor that takes the transaction identifier.

  Parameters
    `transactionId` - transaction identifier.

Method Detail

### compareTo

    public int compareTo(Object o)

  Deprecated
  Implements the compareTo method. The following conditions hold true:

         (a > b) ==> (b < a)
         (a < b) ==> (b > a)
         (a = b) ==> (b = a)

  Specified by:
    `compareTo` in interface `Comparable`
  Specified by:
    `compareTo` in class `SmartKey`
  Parameters
    `o` - the Object to be compared.
  Returns
    a negative integer, zero, or a positive integer as this object is less than, equal to, or greater than the specified object.

### toString

    public String toString()

  Deprecated
  Returns the stringified version of the key class.

  Overrides:
    `toString` in class `SmartKey`
  Returns
    A `String` representation of the SmartKey.

### hashCode

    public int hashCode()

  Deprecated
  override the hashCode() method

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.